org.apache.cassandra.db

## Class ColumnFamilyStore.ViewFragment

- java.lang.Object
- - org.apache.cassandra.db.ColumnFamilyStore.ViewFragment

- Direct Known Subclasses:
    ColumnFamilyStore.RefViewFragment
  Enclosing class:
    ColumnFamilyStore

      public static class ColumnFamilyStore.ViewFragment
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Iterable<Memtable>` | `memtables`
    `java.util.List<SSTableReader>` | `sstables`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewFragment(java.util.List<SSTableReader> sstables, java.lang.Iterable<Memtable> memtables)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sstables

          public final java.util.List<SSTableReader> sstables

    - #### memtables

          public final java.lang.Iterable<Memtable> memtables

  - ### Constructor Detail

    - #### ViewFragment

          public ViewFragment(java.util.List<SSTableReader> sstables,
                              java.lang.Iterable<Memtable> memtables)

Copyright © 2018 The Apache Software Foundation